curl https://portal-api.7331.org/v1/users/me/sessions \
-b "psession=YOUR_SESSION"
{
"sessions": [
{
"token_suffix": "abc123",
"created_at": "2026-03-01T10:00:00Z",
"expires_at": "2026-03-31T10:00:00Z",
"client_ip": "203.0.113.1",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",
"geo": {
"city": "San Francisco",
"region_name": "California",
"country_code": "US",
"lat": 37.7749,
"lon": -122.4194,
"isp": "Comcast",
"org": "Comcast",
"is_mobile": false,
"is_proxy": false,
"is_hosting": false
},
"is_current": true
}
],
"history": [
{
"token_suffix": "xyz789",
"created_at": "2026-02-20T08:00:00Z",
"client_ip": "198.51.100.5",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"geo": {
"city": "Berlin",
"region_name": "Berlin",
"country_code": "DE",
"lat": 52.52,
"lon": 13.405,
"isp": "Deutsche Telekom",
"org": "Deutsche Telekom",
"is_mobile": false,
"is_proxy": false,
"is_hosting": false
}
}
]
}
List all active and past sessions for the authenticated user with geo data.
curl https://portal-api.7331.org/v1/users/me/sessions \
-b "psession=YOUR_SESSION"
{
"sessions": [
{
"token_suffix": "abc123",
"created_at": "2026-03-01T10:00:00Z",
"expires_at": "2026-03-31T10:00:00Z",
"client_ip": "203.0.113.1",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",
"geo": {
"city": "San Francisco",
"region_name": "California",
"country_code": "US",
"lat": 37.7749,
"lon": -122.4194,
"isp": "Comcast",
"org": "Comcast",
"is_mobile": false,
"is_proxy": false,
"is_hosting": false
},
"is_current": true
}
],
"history": [
{
"token_suffix": "xyz789",
"created_at": "2026-02-20T08:00:00Z",
"client_ip": "198.51.100.5",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"geo": {
"city": "Berlin",
"region_name": "Berlin",
"country_code": "DE",
"lat": 52.52,
"lon": 13.405,
"isp": "Deutsche Telekom",
"org": "Deutsche Telekom",
"is_mobile": false,
"is_proxy": false,
"is_hosting": false
}
}
]
}
Requires an active session cookie. Returns active sessions enriched with IP geolocation, plus past session history from Postgres.Documentation Index
Fetch the complete documentation index at: https://docs.7331.org/llms.txt
Use this file to discover all available pages before exploring further.
Show properties
curl https://portal-api.7331.org/v1/users/me/sessions \
-b "psession=YOUR_SESSION"
{
"sessions": [
{
"token_suffix": "abc123",
"created_at": "2026-03-01T10:00:00Z",
"expires_at": "2026-03-31T10:00:00Z",
"client_ip": "203.0.113.1",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",
"geo": {
"city": "San Francisco",
"region_name": "California",
"country_code": "US",
"lat": 37.7749,
"lon": -122.4194,
"isp": "Comcast",
"org": "Comcast",
"is_mobile": false,
"is_proxy": false,
"is_hosting": false
},
"is_current": true
}
],
"history": [
{
"token_suffix": "xyz789",
"created_at": "2026-02-20T08:00:00Z",
"client_ip": "198.51.100.5",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"geo": {
"city": "Berlin",
"region_name": "Berlin",
"country_code": "DE",
"lat": 52.52,
"lon": 13.405,
"isp": "Deutsche Telekom",
"org": "Deutsche Telekom",
"is_mobile": false,
"is_proxy": false,
"is_hosting": false
}
}
]
}
Was this page helpful?